Subject: Re: [PATCH v2] config: introduce an Operating System-specific `includeIf` condition

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Apr 2023 09:14:08 -0700

Johannes Schindelin <[email-masked]> writes:

> The original report (which this patch tries to address) asks for a way to
> have a user-wide ("global") Git configuration that can be shared across
> machines and that allows for adapting to the various environments.
> ...
> So as long as Git offers ways to discern between the mentioned
> environments by including environment-specific configuration files, we
> solve the problem.

Perhaps 

    [includeIf "ifExists:/path/to/foo-credential-manager.exe"]
	path = /path/to/config/needed/for/using/foo-credential-manager

is being called for?  "os" being "LiNuX" does not tell much about
the environment differences the end users would care about, like
what desktop environment is in use, which leads to the availability
and default choice of GUI tools, to help them auto-configure.